<?php

namespace Drupal\bee_hotel\EventSubscriber;

use Drupal\bee_hotel\Util\Event;
use Drupal\commerce_order\Event\OrderEvent;
use Drupal\commerce_order\Event\OrderEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class EntityTypeSubscriber.
 *
 * @package Drupal\bee_hotel\EventSubscriber
 */
class DeleteOrderSubscriber implements EventSubscriberInterface {

  /**
   * The Bat Event Utility.
   *
   * @var Drupal\bee_hotel\Util\Event
   */
  protected $beehotelEvent;

  /**
   * Constructs a new DeleteOrderSubscriber object.
   *
   * @param \Drupal\bee_hotel\Util\Event $beehotelEvent
   *   The BEE Hotel Event.
   */
  public function __construct(Event $beehotelEvent) {
    $this->beehotel_event = $beehotelEvent;
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    return [
      OrderEvents::ORDER_DELETE => ['onOrderDelete'],
    ];
  }

  /**
   * Removes coupons when the cart has been emptied.
   *
   * @param Drupal\commerce_order\Event\OrderEvent $event
   *   The cart event.
   */
  public function onOrderDelete(OrderEvent $event) {}

}
